//----------------------------------------------------------------------------
///
///
///
//----------------------------------------------------------------------------


#include <fosh/commands/info.hpp>

#include <biwak/info.h>

#if defined STM32
#include <HALWrapper/stm32_rcc.h>
#endif

int CCommandInfo::exec(int argc, const char *argv[]) const /* virtual */
{
   printf("\n");

   #if defined STM32
      #if ! defined(STM32G4) && ! defined(STM32L0) && ! defined(STM32F1) \
                             && ! defined(STM32L1)
         printf("LSEDRIVE: 0x%lX \n", LL_RCC_LSE_GetDriveCapability() );
      #endif
   #endif
         
   biwakPrintBaseInfo();
   biwakPrintClockInfo();
   biwakPrintMemoryInfo();

   printf("\n");

   return( 0 );
}


const CCommand *createInstance_info()
{
   return( new CCommandInfo("info") );
}

//---fin----------------------------------------------------------------------
